Asociar enlaces ed2k Amule y Firefox

Hoy venimos con algo que parece o debería de ser muy fácil, pero que me ha tenido un buen rato dando vueltas por la red, probando scripts, instalando tal o cual utilidad y con ninguna obtuve resultado. Lógicamente al final encontré la solución sino este post no existira 😀 .

 Esto lo haremos sobre Firefox o Iceweasel que para el caso es casi lo mismo y a dia de hoy 29/04/2013 estamos en la version 20.0.1 de Firefox al menos en Archlinux.

firefox

Empezaremos por escribir en la barra del navegador about:config, nos advierte que salgamos si somos unos manazas, pero no le haremos caso y seguiremos (si rompeis algo no me hago responsable ehhhhh ¬¬ xD ) .

Ahora pinchamos con boton derecho en cualquier parte de esa lista que nos ha salido y seleccionar nuevo – lógico y añadir  network.protocol-handler.external.ed2k y le daremos valor true .

Pinchamos nuevamente con boton derecho en cualquier lugar de la lista y nuevo – cadena y le añadimos network.protocol-handler.app.ed2k con el valor /usr/bin/ed2k

Por último pinchamos nuevamente como las anteriores, boton derecho donde queramos y nuevo – lógico añadimos network.protocol-handler.expose.ed2k con valor de false .

Os tiene que quedar la cosa así:

firefox2

Ahora la primera vez que pinchemos sobre un enlace ed2k, nos pedira añadir un programa que maneje ese tipo de contenido, le dais a elegir y poneis /usr/bin/amule. No os olvideis pinchar la casillita de recordar para la proxima, sino, os preguntara de nuevo.

En todos lados se da la dirección de elegir el programa como /usr/bin/ed2k desconozco si funciona ya que yo fuí veloz y puse /usr/bin/amule sin mirar, pero me funciona a la perfección.

Pues con esto y unos elinks, asta la proxima entrada 😛 .

Fuente | clopezsanchez

14 comentarios:

  1. Gracias, lo he intentado pero no puedo hacer que se pongan en lógico, lo inicio en lógico pero luego me sale cadena. Cómo lo puedo solucionar?

  2. Pues la verdad no se a que se puede deber, he probado a crear una de prueba ahora mismo y todo bien, tambien he dado una pequeña busqueda y no he encontrado nada, ahora ando corto de tiempo, pero a la tarde lo mirare haber si a alguien le pasó.
    De todos modos estaria bueno que miraras la version de firefox que tienes y si encuentras la solucion, pues nos digas asi se puede ayudar a quien le pasa igual.

    Un saludo

  3. Gracias por la solución!!! Funcionó perfecto!!

  4. Me alegra que te sirva 🙂
    Gracias por comentar

  5. Me pasa lo mismo que al primer comentario. Lo he intentado varias veces y no me sale el comando «lógico».
    Mi Firefox ahora mismo es la versión 28, que acaba de salir y al tener los ppa instalados, se actualiza antes.
    Te recomiendo que actualices Firefox, pk la versión 20 es de hace un año por lo menos..

  6. Acabo de intentarlo y el SI/NO es el equivalente a lógico.
    Gracias

  7. El post es de hace un año aproximadamente, por eso la versión 20 de firefox, hoy día tengo la 27.

    tapa4

    De lo que comentais no se por que puede pasar, ya lo hice varias veces sin problemas.

  8. Lo había intentado solo con los dos pasos primeros, que es lo que había visto por la web en otros lugares, y no funcionaba.
    Al hacer el tercer paso:
    network.protocol-handler.expose.ed2k….,
    ya me ha funcionado correctamente.

    Gracias.

  9. Me alegro que te haya servido
    Gracias por comentar 😉

  10. Joya 🙂 Ya vamos por Firefox 36.0.1 y su tuto está vigente.
    Gracias 🙂

  11. Te parecerá la mar de molona esta fuente que usas en el blog, pero es un auténtico horror para leerla

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.